/* - - - - - - - - - - - - - - - -
  I C O N B O X
 - - - - - - - - - - - - - - - - */

.iconbox-container {
  margin-left: 50px;
  margin-top: 50px;
}

.iconbox-container h1 {
  display: none;
}

.iconbox {
  display: inline-block;
  position: relative;
  width: 280px;
  height: 400px;
  margin-top: 50px;
  margin-left: 50px;
}

.iconbox-icon {
  position: absolute;
  height: 60px;
  width: 60px;
  border-radius: 12px;
  background-color: #555;
  color: white;
  font-size: 40px;
  line-height: 60px;
  text-align: center;
  vertical-align: bottom;
}

.iconbox-text {
  position: absolute;
  top: 70px;
  left: 0px;
  width: 250px;
  height: 280px;
  border-radius: 15px;
  backdrop-filter: blur(15px);
  background: #fffb;
  padding: 10px;
  z-index: 3;
  font-size: 1.0rem;
  font-weight: 200;
  text-align: left;
}

.iconbox-text p a.button {
  background-color: white;
  color: #555;
  border: 1px solid #555;
  width: 220px;
  padding: 5px;
  border-radius: 3px;
  margin-top: 10px;
  position: absolute;
  left: 20px;
  bottom: 20px;
  font-size: 1rem;
} 
  
.iconbox-text p:has(a.button) {
  text-align: center;
} 

@media only screen and (max-width: 780px) {

  .iconbox-container {
    margin-left: 20px;
    margin-right: 20px;
  }

  .iconbox {
    position: relative;
    width: calc(100vw - 40px);
    margin-top: 0px;
    margin-left: 0px;
    height: unset;
  }

  .iconbox-icon {
    position: relative;
  }

  .iconbox-text {
    position: relative;
    top: 0px;
    font-size: 0.9rem;
    height: unset;
    width: calc(100vw - 60px);
    margin-top: 5px;
    margin-bottom: 20px;
  }

  .iconbox-text p a.button {
    width: 220px;
    padding: 5px;
    border-radius: 3px;
    font-weight: 600;
    cursor: pointer;
    margin-top: 10px;
    display: inline-block;
    border: 1px solid #555;
    position: relative;
    bottom: 0;
    left: 0;
    margin-right: 0;
  } 

}
